GST Authorization Token API
GET
https://apisandbox.whitebooks.in/authentication/authtokenTax payer and tax consultant using GSP application will be authenticated asynchronously using OTP. OTP Request API is used by the GSP to initiate the issue of OTP to tax payer.After the successful verification of request parameters, GST system sends the OTP to the taxpayer's primary business credentials through Email and SMS
Parameters
query parameters
emailstringrequiredUser Email
otpstringrequiredGST User Recived OTP,Default OTP for SandBox is 575757
header parameters
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP GET to
/authentication/authtoken. Required parameters: email (query parameter), otp (query parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). No request body payload is required for this call.For Request for Authorization Token (GET
/authentication/authtoken), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).Tax payer and tax consultant using GSP application will be authenticated asynchronously using OTP. OTP Request API is used by the GSP to initiate the issue of OTP to tax payer.After the successful verification of request parameters, GST system sends the OTP to the taxpayer's primary business credentials through Email and SMS
No example available.